@rem
@rem Copyright 2015 the original author or authors.
@rem
@rem Licensed under the Apache License, Version 2.0 (the "License");
@rem you may not use this file except in compliance with the License.
@rem You may obtain a copy of the License at
@rem
@rem      https://www.apache.org/licenses/LICENSE-2.0
@rem
@rem Unless required by applicable law or agreed to in writing, software
@rem distributed under the License is distributed on an "AS IS" BASIS,
@rem WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
@rem See the License for the specific language governing permissions and
@rem limitations under the License.
@rem

@if "%DEBUG%"=="" @echo off
@rem ##########################################################################
@rem
@rem  mml startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

set DIRNAME=%~dp0
if "%DIRNAME%"=="" set DIRNAME=.
set APP_BASE_NAME=%~n0


@rem Resolve any "." and ".." in APP_HOME to make it shorter.
for %%i in ("%APP_HOME%") do set APP_HOME=%%~fi

@rem Add default JVM options here. You can also use JAVA_OPTS and MML_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS="-Xmx1024m"

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if %ERRORLEVEL% equ 0 goto execute

echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto execute

echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\MegaMekLab.jar;%APP_HOME%\lib\megamek-0.49.18.jar;%APP_HOME%\lib\jaxb-runtime-4.0.2.jar;%APP_HOME%\lib\jaxb-core-4.0.2.jar;%APP_HOME%\lib\jakarta.xml.bind-api-4.0.0.jar;%APP_HOME%\lib\log4j-core-2.20.0.jar;%APP_HOME%\lib\pdfbox-2.0.27.jar;%APP_HOME%\lib\batik-rasterizer-1.14.jar;%APP_HOME%\lib\batik-svgrasterizer-1.14.jar;%APP_HOME%\lib\batik-codec-1.14.jar;%APP_HOME%\lib\fop-2.7.jar;%APP_HOME%\lib\fop-core-2.7.jar;%APP_HOME%\lib\batik-transcoder-1.14.jar;%APP_HOME%\lib\batik-extension-1.14.jar;%APP_HOME%\lib\batik-bridge-1.14.jar;%APP_HOME%\lib\batik-script-1.14.jar;%APP_HOME%\lib\batik-anim-1.14.jar;%APP_HOME%\lib\batik-svg-dom-1.14.jar;%APP_HOME%\lib\batik-dom-1.14.jar;%APP_HOME%\lib\batik-svggen-1.14.jar;%APP_HOME%\lib\batik-parser-1.14.jar;%APP_HOME%\lib\xml-apis-ext-1.3.04.jar;%APP_HOME%\lib\jackson-core-2.14.2.jar;%APP_HOME%\lib\flatlaf-3.0.jar;%APP_HOME%\lib\SerialKiller-master-SNAPSHOT.jar;%APP_HOME%\lib\jakarta.mail-2.0.1.jar;%APP_HOME%\lib\xstream-1.4.20.jar;%APP_HOME%\lib\commons-text-1.10.0.jar;%APP_HOME%\lib\freemarker-2.3.31.jar;%APP_HOME%\lib\angus-activation-2.0.0.jar;%APP_HOME%\lib\jakarta.activation-api-2.1.1.jar;%APP_HOME%\lib\log4j-api-2.20.0.jar;%APP_HOME%\lib\fontbox-2.0.27.jar;%APP_HOME%\lib\commons-configuration-1.10.jar;%APP_HOME%\lib\batik-gvt-1.14.jar;%APP_HOME%\lib\batik-awt-util-1.14.jar;%APP_HOME%\lib\batik-css-1.14.jar;%APP_HOME%\lib\fop-events-2.7.jar;%APP_HOME%\lib\fop-util-2.7.jar;%APP_HOME%\lib\xmlgraphics-commons-2.7.jar;%APP_HOME%\lib\commons-logging-1.2.jar;%APP_HOME%\lib\batik-xml-1.14.jar;%APP_HOME%\lib\batik-util-1.14.jar;%APP_HOME%\lib\batik-ext-1.14.jar;%APP_HOME%\lib\batik-constants-1.14.jar;%APP_HOME%\lib\batik-i18n-1.14.jar;%APP_HOME%\lib\batik-shared-resources-1.14.jar;%APP_HOME%\lib\xalan-2.7.2.jar;%APP_HOME%\lib\commons-collections-3.2.2.jar;%APP_HOME%\lib\commons-lang-2.6.jar;%APP_HOME%\lib\jakarta.activation-2.0.1.jar;%APP_HOME%\lib\mxparser-1.2.2.jar;%APP_HOME%\lib\commons-lang3-3.12.0.jar;%APP_HOME%\lib\commons-io-1.3.1.jar;%APP_HOME%\lib\serializer-2.7.2.jar;%APP_HOME%\lib\qdox-1.12.jar;%APP_HOME%\lib\txw2-4.0.2.jar;%APP_HOME%\lib\istack-commons-runtime-4.1.1.jar;%APP_HOME%\lib\xmlpull-1.1.3.1.jar


@rem Execute mml
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %MML_OPTS%  -classpath "%CLASSPATH%" megameklab.MegaMekLab %*

:end
@rem End local scope for the variables with windows NT shell
if %ERRORLEVEL% equ 0 goto mainEnd

:fail
rem Set variable MML_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
set EXIT_CODE=%ERRORLEVEL%
if %EXIT_CODE% equ 0 set EXIT_CODE=1
if not ""=="%MML_EXIT_CONSOLE%" exit %EXIT_CODE%
exit /b %EXIT_CODE%

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
